package cms

import (
	"os"
	"testing"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"
)

func TestSyncStoreSku4FakeJD(t *testing.T) {
	skuMap := map[int]string{
		22509: "2029937911",
	}
	err := SyncStoreSku4FakeJD(jxcontext.AdminCtx, nil, 100118, "11943257", skuMap, true)
	if err != nil {
		t.Fatal(err)
	}
}

func TestUploadFakeJdThingMap(t *testing.T) {
	file, err := os.Open("到家菜市门店与商品映射信息(1).xlsx")
	if err != nil {
		t.Fatal(err)
	}
	hint, err := UploadFakeJdThingMap(jxcontext.AdminCtx, file, true, false, true)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(hint)
}
